%
% DESCRIPTION: Program to create the Faults GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Lat','Latitude of the faults'
    'Long','Longitude of the faults'};
[FieldType] = {
    'Lat',124
    'Long',134};
[FieldUnit] = {
    'Lat','deg'
    'Long','deg'};
[d] = struct();

d.Lat = [52.7847
52.7874
52.7874
52.7890
52.7890
52.7896
52.7896
52.7917
];

d.Long = [-0.9493
-0.9572
-0.9572
-0.9619
-0.9619
-0.9633
-0.9633
-0.9694
];

save('GDF_EpizodName_Faults_example.mat')